Loading...
Searching...
No Matches
Opm::RegularizedVanGenuchtenParams< TraitsT > Class Template Reference

Parameters that are necessary for the regularization of VanGenuchten "material law". More...

`#include <RegularizedVanGenuchtenParams.hpp>`

Inheritance diagram for Opm::RegularizedVanGenuchtenParams< TraitsT >:

## Public Types

typedef TraitsT | Traits
Public Types inherited from Opm::VanGenuchtenParams< TraitsT >
typedef TraitsT | Traits

## Public Member Functions

| RegularizedVanGenuchtenParams (Scalar vgAlpha, Scalar vgN)
void | finalize ()
| Calculate all dependent quantities once the independent quantities of the parameter object have been set.
Scalar | pcnwLowSw () const
| Return the threshold saturation below which the capillary pressure is regularized.
Scalar | pcnwLow () const
| Return the capillary pressure at the low threshold saturation of the wetting phase.
Scalar | pcnwSlopeLow () const
| Return the slope capillary pressure curve if Sw is smaller or equal to the low threshold saturation.
void | setPCLowSw (Scalar value)
| Set the threshold saturation below which the capillary pressure is regularized.
Scalar | pcnwHighSw () const
| Return the threshold saturation below which the capillary pressure is regularized.
Scalar | pcnwHigh () const
| Return the capillary pressure at the high threshold saturation of the wetting phase.
const Spline< Scalar > & | pcnwHighSpline () const
| Return the spline curve which ought to be used between the upper threshold saturation and 1.
Scalar | pcnwSlopeHigh () const
| Return the slope capillary pressure curve if Sw is larger or equal to 1.
void | setPCHighSw (Scalar value)
| Set the threshold saturation below which the capillary pressure is regularized.
Public Member Functions inherited from Opm::VanGenuchtenParams< TraitsT >
| VanGenuchtenParams (Scalar alphaParam, Scalar nParam)
Scalar | vgAlpha () const
| Return the shape parameter of van Genuchten's curve.
void | setVgAlpha (Scalar v)
| Set the shape parameter of van Genuchten's curve.
Scalar | vgM () const
| Return the shape parameter of van Genuchten's curve.
void | setVgM (Scalar m)
| Set the shape parameter of van Genuchten's curve.
Scalar | vgN () const
| Return the shape parameter of van Genuchten's curve.
void | setVgN (Scalar n)
| Set the shape parameter of van Genuchten's curve.
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class TraitsT>
class Opm::RegularizedVanGenuchtenParams< TraitsT >

Parameters that are necessary for the regularization of VanGenuchten "material law".

## Member Function Documentation

## pcnwSlopeHigh()

template<class TraitsT>

Scalar Opm::RegularizedVanGenuchtenParams< TraitsT >::pcnwSlopeHigh | ( |  | ) | const

inline

Return the slope capillary pressure curve if Sw is larger or equal to 1.

For this case, we extrapolate the curve using a straight line.

## pcnwSlopeLow()

template<class TraitsT>

Scalar Opm::RegularizedVanGenuchtenParams< TraitsT >::pcnwSlopeLow | ( |  | ) | const

inline

Return the slope capillary pressure curve if Sw is smaller or equal to the low threshold saturation.

For this case, we extrapolate the curve using a straight line.

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/RegularizedVanGenuchtenParams.hpp